local L = AceLibrary("AceLocale-2.2"):new("FuBar_VampwatchFu")

L:RegisterTranslations("enUS", function() return {
	["addonname"] = "|cffffffffVampwatch|r|cff00ff00Fu|r",
	["addonnameFu"] = "VampwatchFu",
	["author"] = "Jayrox - Bleeing Hollow[US]",
	["consolecommands"] = { "/vwfu" },
	
	["vamp_touch"] = "Show Vampiric Touch",
	["vamp_touch_text"] = "Vampiric Touch",
	["vamp_touch_desc"] = "Toggles whether to show Vampiric Touch on the button.",
	["vamp_touch_stats"] = "Vampiric Touch Stats",
	["vt_title"] = " VT: ",
	
	["vamp_embrace"] = "Show Vampiric Embrace",
	["vamp_embrace_text"] = "Vampiric Embrace",
	["vamp_embrace_desc"] = "Toggles whether to show Vampiric Emrbace on the button.",
	["vamp_embrace_stats"] = "Vampiric Embrace Stats",
	["ve_title"] = " VE: ",
	
	["vw_shadowfiend"] = "Shadowfiend Stats",
	["sf_timer"] = "Shadowfiend Timer",
	["sf_timer_desc"] = "Show Shadowfiend timer.",
	["sf_toggle"] = "Show Shadowfiend",
	["sf_toggle_desc"] = "Toggles whether to show Shadowfiend on the button.",
	["spell_Shadowfiend"] = "Shadowfiend",
	["sf_title"] = " SF: ",
	
	["confirm_name"] = "Use confirmation",
	["confirm_desc"] = "Toggles whether you have to confirm each click (to avoid clicking by misstake)",
	["resetpos_name"] = "Reset positions",
	["resetpos_desc"] = "Resets all positions to default\nUsefull if you lost a button",
	
	["Reset_confirm"] = "Do you really want to Reset your stats?\n\nAll stats will be lost!",

	["send_to_say"] = "Send to Say",
	["say"] = true,
	["send_to_raid"] = "Send to Raid",
	["raid"] = true,
	["send_to_party"] = "Send to Party",
	["party"] = true,
	["send_to_guild"] = "Send to Guild",
	["guild"] = true,
	["send_custom"] = "Custom: ",
	["send_custom_channel"] = "Send to custom channel.",
	["Vampwatch"] = true,
	["total"] = "Total",
	["last"] = "Last Fight",
	["high"] = "Highest Tick",
	["avg"] = "Average Tick",
	["ticks"] = "Number of Ticks",
	["reset_total"] = "Reset Total",
	["reset_all"] = "Reset All",
	["broadcast_opt"] = "Broadcasting Options",
	["multiline"] = "Multiline",
	["spam_on_click"] = "Enable Button Spam",
	["spam_on_click_desc"] = "Enable sending stats to chat on click",
	["Show Anchor"] = true,
	["Shows the dragable anchor."] = true,
	["show_title"] = "Show Title",
	["show_title_desc"] = "Show the VampwatchFu title",
	["Yes"] = true,
	["No"] = true,
	["Ok"] = true,
	
	["Menu"] = true,
	["Menu options."] = true,

	
	["title_last"] = "Show last fight stats on button.",
	["title_total"] = "Show overall stats on button.",
	["title_text"] = "FuBar button text options.",
	["title_text_desc"] = "FuBar button text display options.",
	
	[" ## VampwatchFu Stats:"] = true,
	[" ## Vampiric Touch - Last Fight : "] = true,
	[" ## Vampiric Touch - All Fights : "] = true,
	[" ## Vampiric Embrace - Last Fight : "] = true,
	[" ## Vampiric Embrace - All Fights : "] = true,
	["vwFu:: Vampiric Touch Total: "] = true,
	[" Vampiric Embrace Total: "] = true,
	["vwFu: Vampiric Embrace Ticks: "] = true,
	[" Average Tick: "] = true,
	[" Highest Tick: "] = true,
	["vwFu: Vampiric Touch Ticks: "] = true,
	["vwFu: Vampiric Embrace Total: "] = true,
	["vwFu: Vampiric Touch Total: "] = true,
	["vwFu: Vampiric Touch Last: "] = true,
	["vwFu: Vampiric Embrace Last: "] = true,
	["vwFu: Shadowfiend Ticks: "] = true,
	["vwFu: Shadowfiend Last: "] = true,
	["vwFu: Shadowfiend Total: "] = true,
	["mana"] = true,
	["health"] = true,
	
	["FuBarHint"] = "|cffeda55fClick|r to Send to Chat.\n|cffeda55fClick|r a stat to send to chat.",
	
} end)


L:RegisterTranslations("deDE", function() return {
	["addonname"] = "|cffffffffVampwatch|r|cff00ff00Fu|r",
	["addonnameFu"] = "VampwatchFu",
	["author"] = "Jayrox - Bleeing Hollow[US]",
	["consolecommands"] = { "/vwfu" },
   
	["vamp_touch"] = "Vampirber\195\188hrung anzeigen",
	["vamp_touch_text"] = "Vampirber\195\188hrung",
	["vamp_touch_desc"] = "Markieren um Vampirber\195\188hrung anzeigen zu lassen.",
	["vamp_touch_stats"] = "Daten: Vampirber\195\188hrung",
	["vt_title"] = " VT: ",

	["vamp_embrace"] = "Vampirumarmung anzeigen",
	["vamp_embrace_text"] = "Vampirumarmung",
	["vamp_embrace_desc"] = "Markieren um Vampirumarmung anzeigen zu lassen.",
	["vamp_embrace_stats"] = "Daten: Vampirumarmung",
	["ve_title"] = " VE: ",

	["vw_shadowfiend"] = "Daten: Schattengeist",
	["sf_timer"] = "Zeitanzeige: Schattengeist",
	["sf_timer_desc"] = "Zeitanzeige fr Schattengeist anzeigen.",
	["sf_toggle"] = "Show Shadowfiend",
	["sf_toggle_desc"] = "Toggles whether to show Shadowfiend on the button.",
	["sf_title"] = " SF: ",
   
	["confirm_name"] = "Best\195\164tigung verwenden",
	["confirm_desc"] = "Markieren um Eingaben best\195\164tigen zu lassen",
	["resetpos_name"] = "Position zur\195\188cksetzen",
	["resetpos_desc"] = "Setzt alle Positionen zur\195\188ck\nN\195\188tzlich wenn ihr einen Knopf verloren habt.",
   
	["Reset_confirm"] = "Wollt ihr wirklich alle Daten zur\195\188cksetzen??\n\nAlle Daten gehen verloren!",

	["send_to_say"] = "Ausgabe: Sagen",
	["say"] = "Sagen",
	["send_to_raid"] = "Ausgabe: Schlachtzug",
	["raid"] = "Schlachtzug",
	["send_to_party"] = "Ausgabe: Gruppe",
	["party"] = "Gruppe",
	["send_to_guild"] = "Ausgabe: Gilde",
	["guild"] = "Gilde",
	["send_custom"] = "Ausgabe: Selbstdefiniert",
	["send_custom_channel"] = "An einen selbstdefinierten Channel senden.",
	["Vampwatch"] = "Vampwatch",
	["total"] = "Gesamt",
	["last"] = "Letzter Kampf",
	["high"] = "H\195\182chster Tick",
	["avg"] = "Durchschnittlicher Tick",
	["ticks"] = "Anzahl an Ticks",
	["reset_total"] = "Gesamt zur\195\188cksetzen",
	["reset_all"] = "Alles zur\195\188cksetzen",
	["broadcast_opt"] = "Ausgabeeinstellungen",
	["multiline"] = "Einzelne Linien",
	["spam_on_click"] = "Enable Button Spam",
	["spam_on_click_desc"] = "Enable sending stats to chat on click",
	["Show Anchor"] = "Anker anzeigen",
	["Shows the dragable anchor."] = "Zeigt einen Anker zum verschieben an.",
	["show_title"] = "Show Title",
	["show_title_desc"] = "Show the VampwatchFu title",
	["Yes"] = "Ja",
	["No"] = "Nein",
	["Ok"] = "Ok",
	
	["Menu"] = "Menu",
	["Menu options."] = "Menu options.",
   
   	["title_last"] = "Show last fight stats on button.",
	["title_total"] = "Show overall stats on button.",
	["title_text"] = "FuBar button text options.",
	["title_text_desc"] = "FuBar button text display options.",

   
   	[" ## VampwatchFu Stats:"] = " ## VampwatchFu Stats:",
	[" ## Vampiric Touch - Last Fight : "] = " ## Vampiric Touch - Last Fight : ",
	[" ## Vampiric Touch - All Fights : "] = " ## Vampiric Touch - All Fights : ",
	[" ## Vampiric Embrace - Last Fight : "] = " ## Vampiric Embrace - Last Fight : ",
	[" ## Vampiric Embrace - All Fights : "] = " ## Vampiric Embrace - All Fights : ",
	["vwFu:: Vampiric Touch Total: "] = "vwFu:: Vampiric Touch Total: ",
	[" Vampiric Embrace Total: "] = " Vampiric Embrace Total: ",
	["vwFu: Vampiric Embrace Ticks: "] = "vwFu: Vampiric Embrace Ticks: ",
	[" Average Tick: "] = " Average Tick: ",
	[" Highest Tick: "] = " Highest Tick: ",
	["vwFu: Vampiric Touch Ticks: "] = "vwFu: Vampiric Touch Ticks: ",
	["vwFu: Vampiric Embrace Total: "] = "vwFu: Vampiric Embrace Total: ",
	["vwFu: Vampiric Touch Total: "] = "vwFu: Vampiric Touch Total: ",
	["vwFu: Vampiric Touch Last: "] = "vwFu: Vampiric Touch Last: ",
	["vwFu: Vampiric Embrace Last: "] = "vwFu: Vampiric Embrace Last: ",
	["vwFu: Shadowfiend Ticks: "] = "vwFu: Shadowfiend Ticks: ",
	["vwFu: Shadowfiend Last: "] = "vwFu: Shadowfiend Last: ",
	["vwFu: Shadowfiend Total: "] = "vwFu: Shadowfiend Total: ",
	["mana"] = "mana",
	["health"] = "health",

   
	["FuBarHint"] = "Klicken um Daten an den Chat zu schicken.\nEinzelne Daten im Tooltip anklicken um Details an den Chat zu schicken.", 
} end)